<?php 

namespace src\Controller;

use src\Service\cronService;
use src\Utils\responseHelpers;
use Exception;

class cronController {

    private $cronService;

    public function __construct(cronService $cronService)
    {
        $this->cronService = $cronService;
    }

    public function verificarEnsaioAgendadosHoje($dataAtual) {
        try {

            return $this->cronService->verificarEnsaioAgendadosHoje($dataAtual);
        } catch (Exception $e) {
            responseHelpers::sendErrorResponse($e->getMessage(), 500);
        }
    }

    // public function verificarEnsaioAgendadoHoje($dataAtual) {
    //     $cronService = new \src\Service\cronService();
    //     return $cronService->verificarEnsaioAgendadoHoje($dataAtual);
    // }
}